<?php
/**
 * @package     Reporter for VirtueMart
 * 
 * @copyright   Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Abhishek Das <info@virtueplanet.com> - https://www.virtueplanet.com
 */

defined('_JEXEC') or die;

class VMReporterController extends JControllerLegacy
{
	/**
	 * Method to display a view.
	 *
	 * @param   boolean   $cachable   If true, the view output will be cached
	 * @param   array     $urlparams  An array of safe url parameters and their variable types, for valid values see {@link JFilterInput::clean()}.
	 *
	 * @return  JController           This object to support chaining.
	 */
	public function display($cachable = false, $urlparams = false)
	{
		$app = JFactory::getApplication();
		$view = $app->input->getCmd('view', 'frontpage');
		$app->input->set('view', $view);

		return parent::display($cachable, $urlparams);
	}
}