<?php
/**
 * @package     Reporter for VirtueMart
 * 
 * @copyright   Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Abhishek Das <info@virtueplanet.com> - http://www.virtueplanet.com
 */

defined('_JEXEC') or die;

/**
 * Report List controller class.
 */
class VMReporterControllerReports extends JControllerAdmin
{
	/**
	 * Generate report task.
	 */
	public function generate()
	{
		JSession::checkToken() or die('Invalid Token');
		
		$app        = JFactory::getApplication();
		$input      = $app->input;
		$model      = $this->getModel();
		$templateId = $input->getInt('template_id', 0);
		$sendMail   = $input->getInt('send_mail', 0);
		$emailIds   = $input->get('email_ids', '', 'STRING');
		
		if (!$model->generate($templateId, $sendMail, $emailIds))
		{
			$app->enqueueMessage($model->getError(), 'warning');
		}
		else
		{
			$app->enqueueMessage(JText::_('COM_VMREPORTER_NEW_REPORT_GENERATED'));
		}
		
		$app->redirect(JRoute::_('index.php?option=com_vmreporter&view=reports', false));
	}

	/**
	 * Proxy for getModel.
	 */
	public function getModel($name = 'Report', $prefix = 'VMReporterModel', $config = array('ignore_request' => true))
	{
		return parent::getModel($name, $prefix, $config);
	}
}
