<?php
/**
 * @package     Reporter for VirtueMart
 * 
 * @copyright   Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Abhishek Das <info@virtueplanet.com> - https://www.virtueplanet.com
 */

defined('_JEXEC') or die;

JFormHelper::loadFieldClass('text');

/**
 * Supports an HTML select list of categories
 */
class JFormFieldCreatedby extends JFormFieldText
{
	protected static $_counter = 0;
	
	/**
	 * The form field type.
	 *
	 * @var		string
	 * @since	1.6
	 */
	protected $type = 'createdby';

	/**
	 * Method to get the field input markup.
	 *
	 * @return	string	The field input markup.
	 * @since	1.6
	 */
	protected function getInput()
	{
		$userText = '';
		$name = $this->name;
		$value = $this->value;
		
		if($this->value)
		{
			$user = JFactory::getUser($this->value);
			$userText = $user->get('name') . ' (' . $user->get('username') . ')';
		}
		
		self::$_counter++;
		
		$this->value = $userText;
		$this->name = '-dummy-' . self::$_counter;
		
		$html  = parent::getInput();
		$html .= '<input type="hidden" name="' . $name . '" value="' . (int) $value . '" />';
		
		return $html;
	}
}