<?php
/**
 * @package     Reporter for VirtueMart
 * 
 * @copyright   Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Abhishek Das <info@virtueplanet.com> - https://www.virtueplanet.com
 */

defined('_JEXEC') or die;

use Joomla\Registry\Registry;

jimport('joomla.form.formfield');

JFormHelper::loadFieldClass('list');

class JFormFieldReporttemplates extends JFormFieldList
{
	public $type = 'reporttemplates';
	
	protected static $_templates = null;
	
	protected function getOptions()
	{
		if(self::$_templates === null)
		{
			$db    = JFactory::getDbo();
			$query = $db->getQuery(true);
			
			$query->select($db->quoteName('id'))
				->select($db->quoteName('name'))
				->from($db->quoteName('#__vmreporter_templates'));
			
			$db->setQuery($query);
			self::$_templates = $db->loadObjectList();
		}

		$options = array();
		
		foreach(self::$_templates as $template)
		{
			$options[] = JHtml::_('select.option', $template->id, $template->name);
		}
		
		return array_merge(parent::getOptions(), $options);
	}
}