<?php
/**
 * @package     Reporter for VirtueMart
 * 
 * @copyright   Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Abhishek Das <info@virtueplanet.com> - http://www.virtueplanet.com
 */

defined('_JEXEC') or die;

JFormHelper::loadFieldClass('text');

class JFormFieldVpemails extends JFormFieldText
{
	protected $type = 'vpemails';

	function getInput()
	{
		JHtml::_('jquery.framework');
		JHtml::_('script', 'system/html5fallback.js', array('relative' => true, 'version' => 'auto'));
		JHtml::_('vmreporter.script', 'vmreporter/angular.min.js');
		JHtml::_('bootstrap.framework');
		JHtml::_('vmreporter.script', 'vmreporter/typeahead.bundle.js');
		JHtml::_('vmreporter.script', 'vmreporter/bootstrap-tagsinput.js');
		JHtml::_('vmreporter.script', 'vmreporter/bootstrap-tagsinput-angular.js');
		JHtml::_('vmreporter.stylesheet', 'vmreporter/bootstrap-tagsinput.css');
		
		JFactory::getDocument()->addScriptDeclaration("
		jQuery(function($) {
			$('#{$this->id}').tagsinput({
					trimValue: true,
					allowDuplicates: false,
					tagClass: 'label bg-secondary'
			});
			$('#{$this->id}').on('beforeItemAdd', function(event) {
				var regex = /^(([^<>()\[\]\.,;:\s@\"]+(\.[^<>()\[\]\.,;:\s@\"]+)*)|(\".+\"))@(([^<>()[\]\.,;:\s@\"]+\.)+[^<>()[\]\.,;:\s@\"]{2,})$/i;
				if(!regex.test(event.item)) {
					alert('Invalid entry. Please enter a valid email address.');
					event.cancel = true;
					return;
				}
			});
		});
		");
		
		$coreasdefault = (!empty($this->element['coreasdefault']) && $this->element['coreasdefault'] == 'true');

		if(empty($this->value) && $coreasdefault && !$this->form->getValue('id'))
		{
			$db = JFactory::getDbo();
			$query = $db->getQuery(true);
			
			$query->select($db->quoteName('email'))
			      ->from($db->quoteName('#__users'))
			      ->where($db->quoteName('sendEmail') . ' = ' . 1);

			$db->setQuery($query);
			$emails = $db->loadColumn();
			
			if(!empty($emails))
			{
				$this->value = implode(',', $emails);
			}
		}
		
		$html  = parent::getInput();
		$html .= '<div class="muted text-muted small">Eg: support@example.com, bill@mail.com etc.</div>';
		return $html;
	}
}