<?php
/**
 * @package     Reporter for VirtueMart
 * 
 * @copyright   Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Abhishek Das <info@virtueplanet.com> - http://www.virtueplanet.com
 */

defined('_JEXEC') or die;

JFormHelper::loadFieldClass('text');

class JFormFieldVpfilename extends JFormFieldText
{
	protected $type = 'vpfilename';

	function getInput()
	{
		JHtml::_('jquery.framework');
		
		JFactory::getDocument()->addScriptDeclaration("
		jQuery(function($) {
			$('#{$this->id}').on('change blur', function(event) {
				var value = $(this).val();
				if(value) {
					value = value.replace(/[^a-zA-Z0-9\-\_]/gi, '');
					$(this).val(value);
				}
			});
		});
		");
		
		$extension = !empty($this->element['extension']) ? $this->element['extension'] : '';
		$texthint  = !empty($this->element['texthint']) ? $this->element['texthint'] : '';
		
		if (version_compare(JVERSION, '4.0.0', 'ge'))
		{
			$this->addonAfter = $extension;
			
			$html = parent::getInput();
		}
		else
		{
			$html = parent::getInput();
			
			if ($extension)
			{
				$html .= '<span class="muted text-muted" style="vertical-align: sub;">' . $extension . '</span>';
			}
		}

		if ($texthint)
		{
			$html .= '<div class="muted text-muted small text-small">' . JText::_($texthint) . '</div>';
		}
		
		return $html;
	}
}
