--
-- Table structure for table `#__vmreporter_crons`
--

CREATE TABLE IF NOT EXISTS `#__vmreporter_crons` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `state` tinyint(3) NOT NULL DEFAULT '1',
  `name` varchar(255) NOT NULL,
  `template_id` int(11) NOT NULL,
  `time_interval` int(11) NOT NULL DEFAULT '0',
  `time_interval_uom` varchar(11) NOT NULL,
  `start_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `last_run_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `next_run_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `once_only` tinyint(1) NOT NULL DEFAULT '0',
  `hits` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `send_mail` tinyint(1) NOT NULL DEFAULT '0',
  `email_ids` varchar(510) NOT NULL,
  `log` text NOT NULL,
  `currently_running` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out` int(11) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_next_run_time` (`next_run_time`) USING BTREE,
  KEY `idx_currently_running` (`currently_running`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__vmreporter_datetime`
--

CREATE TABLE IF NOT EXISTS `#__vmreporter_datetime` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `type` varchar(110) NOT NULL,
  `time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__vmreporter_fields`
--

CREATE TABLE IF NOT EXISTS `#__vmreporter_fields` (
  `id` int(3) UNSIGNED NOT NULL AUTO_INCREMENT,
  `order_fields` text NOT NULL,
  `order_item_fields` text NOT NULL,
  `bt_fields` text NOT NULL,
  `st_fields` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__vmreporter_reports`
--

CREATE TABLE IF NOT EXISTS `#__vmreporter_reports` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `file_id` varchar(127) NOT NULL,
  `template_id` int(11) UNSIGNED NOT NULL,
  `data` longtext CHARACTER SET utf8,
  `time_field` varchar(15) NOT NULL DEFAULT 'created_on',
  `start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `users_read` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__vmreporter_templates`
--

CREATE TABLE IF NOT EXISTS `#__vmreporter_templates` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `download_filename` varchar(255) NOT NULL,
  `products` text NOT NULL,
  `categories` text NOT NULL,
  `manufacturers` text NOT NULL,
  `include_child` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `guests_only` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `users` text NOT NULL,
  `shopper_groups` text NOT NULL,
  `countries` text NOT NULL,
  `st_countries` text NOT NULL,
  `time_field` varchar(15) NOT NULL DEFAULT 'created_on',
  `period` varchar(255) NOT NULL,
  `days` int(11) NOT NULL DEFAULT '0',
  `start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `statuses` text NOT NULL,
  `calculation_rules` text NOT NULL,
  `order_fields` text NOT NULL,
  `order_item_fields` text NOT NULL,
  `bt_fields` text NOT NULL,
  `st_fields` text NOT NULL,
  `checked_out` int(11) UNSIGNED NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;
