<?php
/**
 * @package     Reporter for VirtueMart
 * 
 * @copyright   Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Abhishek Das <info@virtueplanet.com> - https://www.virtueplanet.com
 */

defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');

JHtml::_('jquery.framework');
JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.keepalive');

if (version_compare(JVERSION, '4.0.0', 'lt'))
{
	JHtml::_('formbehavior.chosen', 'select');
}

JHtml::_('vmreporter.stylesheet', 'vmreporter/style.css');

JHtml::_('vmreporter.script', 'vmreporter/angular.min.js');
JHtml::_('vmreporter.script', 'vmreporter/angular-touch.min.js');
JHtml::_('vmreporter.script', 'vmreporter/angular-animate.min.js');
JHtml::_('vmreporter.script', 'vmreporter/dirPagination.js');
JHtml::_('vmreporter.script', 'vmreporter/jquery.flot.min.js');
JHtml::_('vmreporter.script', 'vmreporter/jquery.flot.pie.min.js');
JHtml::_('vmreporter.script', 'vmreporter/jquery.flot.time.min.js');
JHtml::_('vmreporter.script', 'vmreporter/jquery.flot.tooltip.min.js');
JHtml::_('vmreporter.script', 'vmreporter/jquery.flot.resize.js');
JHtml::_('vmreporter.script', 'vmreporter/base.min.js');
JHtml::_('vmreporter.script', 'vmreporter/report.js');

VMReporterScript::addOption('ROOT', JUri::root());
VMReporterScript::addOption('BASE', JUri::base());
VMReporterScript::addOption('ID', (int) $this->report->id);
VMReporterScript::addOption('CURRENCY_FORMAT', $this->currency_format);
VMReporterScript::addOption('ITEMS', $this->items);
VMReporterScript::addOption('CHART_OVERVIEW_DATA', $this->data->overview);
VMReporterScript::addOption('ORDER_ITEM_FIELDS', array_keys($this->order_item_fields));
?>
<div class="vmreporter-report <?php echo version_compare(JVERSION, '4.0.0', 'ge') ? 'j4' : 'j3'; ?>" ng-app="reporterApp">

	<?php echo $this->loadTemplate('chart'); ?>
	
	<?php echo $this->loadTemplate('list'); ?>

	<?php echo VMReporterScript::getOptions(); ?>
</div>
