<?php
/**
 * @package     Reporter for VirtueMart
 * 
 * @copyright   Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Abhishek Das <info@virtueplanet.com> - https://www.virtueplanet.com
 */

defined('_JEXEC') or die;
?>
<?php if (version_compare(JVERSION, '4.0.0', 'ge')) : ?>
	<div class="p-3 report-form joomla-4">
		<div class="control-group">
			<label class="control-label" for="generate_template_id"><?php echo JText::_('COM_VMREPORTER_FORM_LBL_CRON_TEMPLATE'); ?></label>
			<div class="controls">
				<?php echo JHtml::_('vmreporter.template', 'template_id', 'generate_template_id', 'class="form-select"', ''); ?>
			</div>
		</div>
		<div class="control-group">
			<label class="control-label">&nbsp;</label>
			<div class="controls">
				<button class="btn btn-small btn-primary btn-sm" type="submit" onclick="Joomla.submitbutton('template.add');">
					<span class="icon-new icon-white"></span>&nbsp;<?php echo JText::_('COM_VMREPORTER_BTN_LABEL_ADD_NEW_TEMPLATE'); ?>
				</button>
			</div>
		</div>
		<div class="control-group">
			<label class="control-label" for="generate_template_id"><?php echo JText::_('COM_VMREPORTER_FORM_LBL_SEND_MAIL'); ?></label>
			<div class="controls">
				<?php echo JHtml::_('vmreporter.yesno', 'send_mail', 'generate_send_mail', 'class="chzn-color-state form-select form-select-color-state"', ''); ?>
			</div>
		</div>
		<div class="control-group">
			<label class="control-label" for="generate_email_ids"><?php echo JText::_('COM_VMREPORTER_FORM_LBL_CRON_EMAIL_IDS'); ?></label>
			<div class="controls">
				<?php echo JHtml::_('vmreporter.email', 'email_ids', 'generate_email_ids', '', ''); ?>
			</div>
		</div>
	</div>
<?php else : ?>
	<div class="container-fluid">
		<div class="row-fluid">
			<div class="span6">
				<div class="control-group">
					<label class="control-label" for="generate_template_id"><?php echo JText::_('COM_VMREPORTER_FORM_LBL_CRON_TEMPLATE'); ?></label>
					<div class="controls">
						<?php echo JHtml::_('vmreporter.template', 'template_id', 'generate_template_id', '', ''); ?>
					</div>
				</div>
				<div class="control-group">
					<div class="controls">
						<button class="btn btn-small btn-primary" type="submit" onclick="Joomla.submitbutton('template.add');">
							<span class="icon-new icon-white"></span>
							<?php echo JText::_('COM_VMREPORTER_BTN_LABEL_ADD_NEW_TEMPLATE'); ?>
						</button>
					</div>
				</div>
			</div>
			<div class="span6">
				<div class="control-group">
					<label class="control-label" for="generate_template_id"><?php echo JText::_('COM_VMREPORTER_FORM_LBL_SEND_MAIL'); ?></label>
					<div class="controls">
						<?php echo JHtml::_('vmreporter.yesno', 'send_mail', 'generate_send_mail', 'class="chzn-color-state"', ''); ?>
					</div>
				</div>
				<div class="control-group">
					<label class="control-label" for="generate_email_ids"><?php echo JText::_('COM_VMREPORTER_FORM_LBL_CRON_EMAIL_IDS'); ?></label>
					<div class="controls">
						<?php echo JHtml::_('vmreporter.email', 'email_ids', 'generate_email_ids', '', ''); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
<?php endif; ?>
