<?php
/**
 * @package     Reporter for VirtueMart
 * 
 * @copyright   Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Abhishek Das <info@virtueplanet.com> - https://www.virtueplanet.com
 */

defined('_JEXEC') or die;

/**
 * @param   array  A named array
 * 
 * @return  array
 */
function VMReporterBuildRoute(&$query)
{
	$segments = array();

	if (isset($query['task']))
	{
		$segments[] = implode('/',explode('.', $query['task']));
		unset($query['task']);
	}
	
	if (isset($query['id']))
	{
		$segments[] = $query['id'];
		unset($query['id']);
	}

	return $segments;
}

/**
 * @param  array  A named array
 * @param  array
 *
 * Formats:
 *
 * index.php?/vmreporter/task/id/Itemid
 *
 * index.php?/vmreporter/id/Itemid
 */
function VMReporterParseRoute($segments)
{
	$vars = array();

	// view is always the first element of the array
	$count = count($segments);
	
	if ($count)
	{
		$count--;
		$segment = array_pop($segments) ;
		
		if (is_numeric($segment))
		{
			$vars['id'] = $segment;
		}
		else
		{
			$count--;
			$vars['task'] = array_pop($segments) . '.' . $segment;
		}
	}

	if ($count)
	{
		$vars['task'] = implode('.',$segments);
	}
	
	return $vars;
}
